Bug 103882 - Need Requires: libtool => 1.5
Need Requires: libtool => 1.5
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: attr (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 23:47 EDT by Techwolf
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-10 14:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Techwolf 2003-09-05 23:47:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030801

Description of problem:
With libtool-1.4.3-5.athlon.rpm, rebuild --rebuild did not work

After upgrading to libtool-*1.5-5.athlon.rpm, rpmbuild --rebuild worked.

Version-Release number of selected component (if applicable):
attr-2.4.1-2.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild attr-2.4.1-2.src.rpm
2.
3.
    

Actual Results:  + make 'LIBTOOL=libtool --tag=CC'
=== include ===
rm -f attr
ln -s . attr
=== libattr ===
libtool --tag=CC --mode=compile gcc -O3 -fomit-frame-pointer -march=athlon-4
-mmmx -msse -m3dnow -mfpmath=sse -maccumulate-outgoing-args -g -DDEBUG
-funsigned-char -Wall -I./include -DVERSION=\"2.4.1\"
-DLOCALEDIR=\"/usr/share/locale\" -DPACKAGE=\"attr\" -D_GNU_SOURCE
-D_FILE_OFFSET_BITS=64  -g -DDEBUG -funsigned-char -Wall -I../include
-DVERSION=\"2.4.1\" -DLOCALEDIR=\"/usr/share/locale\" -DPACKAGE=\"attr\"
-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -include libattr.h  -D_REENTRANT
-fno-strict-aliasing -c libattr.c
libtool: unrecognized option `--tag=CC'
Try `libtool --help' for more information.
make[1]: *** [libattr.lo] Error 1
make: *** [default] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.3876 (%build)


Expected Results:  Wrote: /home/techwolf/rpm/RPMS/athlon/attr-2.4.1-2.athlon.rpm
Wrote: /home/techwolf/rpm/RPMS/athlon/libattr-2.4.1-2.athlon.rpm
Wrote: /home/techwolf/rpm/RPMS/athlon/libattr-devel-2.4.1-2.athlon.rpm


Additional info:

Sujest changing spec require line to:

BuildRequires: autoconf, libtool => 1.5
Comment 1 Stephen Tweedie 2004-09-10 14:04:09 EDT
Committed and built; will be picked up in rawhide.

Note You need to log in before you can comment on or make changes to this bug.